package com.glxp.udidl.admin.controller.device;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.req.ListPageRequest;
import com.glxp.udidl.admin.service.DataSync.ProductInfoDlService;
import com.glxp.udidl.admin.service.info.FileInfoService;
import com.glxp.udidl.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.Date;

@RestController
@RequestMapping("/file")
public class FileInfoController {
    @Autowired
    FileInfoService fileInfoService;
    @Autowired
    ProductInfoDlService productInfoDlService;
    @AuthRuleAnnotation("udidl_fileInfo_all")
    @PostMapping("/getlist")
    public BaseResponse getList(@RequestBody ListPageRequest param) {
        return fileInfoService.getList(param);
    }
    @AuthRuleAnnotation("udidl_fileInfo_all")
    @PostMapping("/exportToFile")
    public BaseResponse exportToFile(@DateTimeFormat(pattern = "yyyy-MM-dd") Date startDate, @DateTimeFormat(pattern = "yyyy-MM-dd") Date endDate) {
        return productInfoDlService.ExportToFile(startDate, endDate, "manual");
    }
    @GetMapping("/getFile")
    public void getFile(HttpServletResponse response, String fileName){
        fileInfoService.getFile(response,fileName);
    }
}
