package com.glxp.udidl.admin.controller.device;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.entity.udi.ProductInfoEntity;
import com.glxp.udidl.admin.req.ProductInfoFilterRequest;
import com.glxp.udidl.admin.service.inout.ProductInfoService;
import com.glxp.udidl.admin.thread.AsyncDownloadTask;
import com.glxp.udidl.admin.util.FilterUdiUtils;
import com.glxp.udidl.common.res.BaseResponse;
import com.glxp.udidl.common.util.ResultVOUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

//协调平台API
@RestController
public class UdiCooperController {

    @Resource
    ProductInfoService productInfoService;

    @Resource
    AsyncDownloadTask asyncDownloadTask;

    @AuthRuleAnnotation("udidl_udiCooper_all")
    @GetMapping("udidl/cooper/findBydi")
    public BaseResponse findProductInfo(ProductInfoFilterRequest productInfoFilterRequest) {

        String key = productInfoFilterRequest.getNameCode();
        if (key != null) {
            key = FilterUdiUtils.getDiStr(key);
            productInfoFilterRequest.setNameCode(key);
        }else{
            return ResultVOUtils.error(500, "产品条码不能为空！");
        }
        List<ProductInfoEntity> productInfoEntityList = productInfoService.findAll(productInfoFilterRequest);
        if (productInfoEntityList != null && productInfoEntityList.size() > 0) {
            ProductInfoEntity productInfoEntity = productInfoEntityList.get(productInfoEntityList.size() - 1);
            return ResultVOUtils.success(productInfoEntity);
        } else {
            asyncDownloadTask.downloadByDi(key);    //后台自动下载
            return ResultVOUtils.error(500, "未找到产品信息,请稍后重试");
        }
    }

}
