package com.glxp.udidl.admin.controller.info;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.req.udid.JobLogFilterRequest;
import com.glxp.udidl.admin.service.udi.JobLogService;
import com.glxp.udidl.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/jobLog")
public class JobLogController {
    @Autowired
    JobLogService jobLogService;

    @AuthRuleAnnotation("udidl_jobLog_all")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody JobLogFilterRequest jobLogFilterRequest){
        //System.out.println(jobLogFilterRequest);
        return jobLogService.getList(jobLogFilterRequest);
    }
}
