package com.glxp.udidl.admin.controller.sys;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.sys.SysMenuModel;
import com.glxp.udidl.admin.service.sys.SysMenuService;
import com.glxp.udidl.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("sys/menu")
public class SysMenuController {
    @Autowired
    SysMenuService sysMenuService;

    @AuthRuleAnnotation("sys_menu_all")
    @PostMapping("/list")
    public BaseResponse getList(){
        return sysMenuService.getMenuTree();
    }
    @AuthRuleAnnotation("sys_menu_all")
    @PostMapping("/insert")
    public BaseResponse insert(@RequestBody SysMenuModel model){
        return sysMenuService.insert(model);
    }
    @AuthRuleAnnotation("sys_menu_all")
    @PostMapping("update")
    public BaseResponse update(@RequestBody SysMenuModel model){
        return sysMenuService.update(model);
    }
    @AuthRuleAnnotation("sys_menu_all")
    @PostMapping("/detail")
    public BaseResponse detail(Integer id){
        return sysMenuService.detail(id);
    }
    @AuthRuleAnnotation("sys_menu_all")
    @PostMapping("/delete")
    public BaseResponse delete(Integer id){
        return sysMenuService.delete(id);
    }
}
