package com.glxp.udidl.admin.controller.sys;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.sys.SysUserModel;
import com.glxp.udidl.admin.dto.sys.SysUserParam;
import com.glxp.udidl.admin.service.sys.SysUserService;
import com.glxp.udidl.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("sys/user")
public class SysUserController {
    @Autowired
    SysUserService sysUserService;

    @AuthRuleAnnotation("sys_user_all")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody SysUserParam param){
        return sysUserService.list(param);
    }
    @AuthRuleAnnotation("sys_user_all")
    @PostMapping("/insert")
    public BaseResponse insert(@RequestBody SysUserModel model){
        return sysUserService.insert(model);
    }
    @AuthRuleAnnotation("sys_user_all")
    @PostMapping("update")
    public BaseResponse update(@RequestBody SysUserModel model){
        return sysUserService.update(model);
    }
    @AuthRuleAnnotation("sys_user_all")
    @PostMapping("/detail")
    public BaseResponse detail(Integer id){
        return sysUserService.detail(id);
    }
    @AuthRuleAnnotation("sys_user_all")
    @PostMapping("/delete")
    public BaseResponse delete(Integer id){
        return sysUserService.delete(id);
    }
}
