package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udplat.DeliveryGoods;
import com.glxp.udidl.admin.dto.udplat.HospitalGoods;
import com.glxp.udidl.admin.dto.udplat.UdplatGoodsParam;
import com.glxp.udidl.admin.service.udplat.UdplatGoodsService;
import com.glxp.udidl.common.res.BaseResponse;
import com.glxp.udidl.common.util.ResultVOUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 *目录清单
 */
@RestController
@RequestMapping("udplat/goods")
public class UdplatGoodsController {
    @Autowired
    private UdplatGoodsService udplatGoodsService;

    @AuthRuleAnnotation("udidl_udplatGoods_all")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody UdplatGoodsParam param)
    {
        return udplatGoodsService.getList(param);
    }
    @AuthRuleAnnotation("udidl_udplatGoods_all")
    @PostMapping("/import")
    public BaseResponse importExcel(MultipartFile file,int type){
        try
        {
            return udplatGoodsService.importExcel(file.getInputStream(),type);
        }catch (Exception e){
            return ResultVOUtils.error(-1,e.getMessage());
        }

    }
    @AuthRuleAnnotation("udidl_udplatGoods_all")
    @PostMapping("/inportHospitalGoods")
    public BaseResponse importHospitalGoods(@RequestBody List<HospitalGoods> list){
        return udplatGoodsService.importHospitalGoods(list);
    }
    @AuthRuleAnnotation("udidl_udplatGoods_all")
    @PostMapping("/importDeliveryGoods")
    public BaseResponse importDeliveryGoods(@RequestBody List<DeliveryGoods> list){
        return udplatGoodsService.importDeliveryGoods(list);
    }
    @AuthRuleAnnotation("udidl_udplatGoods_all")
    @PostMapping("/export")
    public BaseResponse exportToFile(@RequestBody UdplatGoodsParam param) {
        return udplatGoodsService.exportToFile(param);
    }
    /*public void export(HttpServletResponse response){
        udplatGoodsService.exportToFile(response);
    }*/
    @AuthRuleAnnotation("udidl_udplatGoods_all")
    @PostMapping("/detail")
    public  BaseResponse detail(Integer id){
        return udplatGoodsService.selectById(id);
    }
}
