package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udplat.UdplatGoodsMatchModel;
import com.glxp.udidl.admin.dto.udplat.UdplatGoodsMatchParam;
import com.glxp.udidl.admin.service.udi.UdiCompanyService;
import com.glxp.udidl.admin.service.udplat.UdplatGoodsMatchService;
import com.glxp.udidl.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/udplat/goodsMatch")
public class UdplatGoodsMatchController {
    @Autowired
    private UdplatGoodsMatchService udplatGoodsMatchService;
    @Autowired
    private UdiCompanyService udiCompanyService;
    @AuthRuleAnnotation("udidl_udplatGoodsMatch_all")
    @PostMapping("/save")
    public BaseResponse save(@RequestBody UdplatGoodsMatchModel model){
        return udplatGoodsMatchService.save(model);
    }
    @AuthRuleAnnotation("udidl_udplatGoodsMatch_all")
    @PostMapping("/list")
    public  BaseResponse getList(@RequestBody UdplatGoodsMatchParam param){
        //System.out.println(JSONUtil.toJsonStr(param));
        return udplatGoodsMatchService.getList(param);
    }

    @AuthRuleAnnotation("udidl_udplatGoodsMatch_all")
    @PostMapping("/productlist")
    public BaseResponse getProductList(String key){
        return udplatGoodsMatchService.getProductList(key);
    }

    @AuthRuleAnnotation("udidl_udplatGoodsMatch_all")
    @PostMapping("/productDetail")
    public BaseResponse getProductInfoByUuid(String uuid){
        return udplatGoodsMatchService.getProductInfoByUuid(uuid);
    }
    @AuthRuleAnnotation("udidl_udplatGoodsMatch_all")
    @PostMapping("/searchByName")
    public BaseResponse searchByName(String name){
        return udiCompanyService.searchByName(name);
    }
}
