package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.req.udid.JobLogFilterRequest;
import com.glxp.udidl.admin.service.DataSync.UdplatSyncService;
import com.glxp.udidl.admin.service.udplat.UdplatLogService;
import com.glxp.udidl.common.res.BaseResponse;
import com.glxp.udidl.common.util.ResultVOUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/udplat/log")
public class UdplatLogController {
    @Autowired
    UdplatLogService udplatLogService;
    @Autowired
    UdplatSyncService udplatSyncService;

    @AuthRuleAnnotation("udidl_udplatLog_all")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody JobLogFilterRequest param){
        return udplatLogService.getList(param);
    }
    @AuthRuleAnnotation("udidl_udplatLog_all")
    @PostMapping("/udplatSync")
    public BaseResponse udplatSync(String tbName){
        udplatSyncService.downloadAndSave("manual",tbName);
        return  ResultVOUtils.success("后台已开始下载！");
    }
}
