package com.glxp.udidl.admin.controller.udplat;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udplat.BaseParam;
import com.glxp.udidl.admin.dto.udplat.UdplatManufactureModel;
import com.glxp.udidl.admin.service.udplat.UdplatManufactureService;
import com.glxp.udidl.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

@RestController
@RequestMapping("/udplat/manufacture")
public class UdplatManufactureController {
    @Autowired
    private UdplatManufactureService udplatManufactureService;

    @AuthRuleAnnotation("udidl_udplatManufacture_all")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody BaseParam param){
        return udplatManufactureService.getList(param);
    }
    @AuthRuleAnnotation("udidl_udplatManufacture_all")
    @PostMapping("/import")
    public BaseResponse imports(@RequestBody List<UdplatManufactureModel> models){
        return udplatManufactureService.save(models,"import");
    }
    @AuthRuleAnnotation("udidl_udplatManufacture_all")
    @GetMapping("/export")
    public void export(HttpServletResponse response){
        udplatManufactureService.exportToFile(response);
    }
}
