package com.glxp.udidl.admin.entity.udplat;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 阳光采购平台日志
 *
 * @author hong
 * @date   2022/01/19
 */
@Data
public class UdplatLog {
    /**
     * 
     */
    private Integer id;

    /**
     * 类型: error; info; warning ...
     */
    private String type;

    /**
     * 下载类型：auto(自动下载),manual(手动下载),import 接口导入
     */
    private String downloadType;

    /**
     * 表名
     */
    private String tbName;

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date actionDate;

    /**
     * 更新行数
     */
    private Integer totalCount;

    /**
     * 提示信息
     */
    private String msg;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 内容
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private String content;

}