package com.glxp.udidl.admin.service.ppf.impl;

import com.github.pagehelper.PageHelper;
import com.glxp.udidl.admin.dao.ppf.PPfProductsRlDao;
import com.glxp.udidl.admin.entity.ppf.PPfProductsRlEntity;
import com.glxp.udidl.admin.req.ppf.FilterPPfProductsRlRequest;
import com.glxp.udidl.admin.service.ppf.PPfProductsRlService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

@Service
public class PPfProductsRlServiceImpl implements PPfProductsRlService {

    @Resource
    PPfProductsRlDao pPfProductsRlDao;


    @Override
    public List<PPfProductsRlEntity> filterPPfProductsRl(FilterPPfProductsRlRequest filterPPfProductsRlRequest) {
        if (filterPPfProductsRlRequest == null) {
            return Collections.emptyList();
        }
        int offset = (filterPPfProductsRlRequest.getPage() - 1) * filterPPfProductsRlRequest.getLimit();
        PageHelper.offsetPage(offset, filterPPfProductsRlRequest.getLimit());
        List<PPfProductsRlEntity> data = pPfProductsRlDao.filterPPfProductsRl(filterPPfProductsRlRequest);
        return data;
    }

    @Override
    public boolean insertPPfProductsRl(PPfProductsRlEntity pPfProductsRlEntity) {
        return pPfProductsRlDao.insertPPfProductsRl(pPfProductsRlEntity);
    }

    @Override
    public boolean insertPPfProductsRls(List<PPfProductsRlEntity> pPfProductsRlEntities) {
        return pPfProductsRlDao.insertPPfProductsRls(pPfProductsRlEntities);
    }

    @Override
    public boolean deleteById(String id) {
        return pPfProductsRlDao.deleteById(id);
    }

    @Override
    public boolean updatePPfProductsRl(PPfProductsRlEntity pPfProductsRlEntity) {
        return pPfProductsRlDao.updatePPfProductsRl(pPfProductsRlEntity);
    }
}
