package com.glxp.udidl.admin.service.ppf.impl;

import com.github.pagehelper.PageHelper;
import com.glxp.udidl.admin.dao.ppf.PpfProductsDao;
import com.glxp.udidl.admin.entity.ppf.PPfProductsEntity;
import com.glxp.udidl.admin.req.ppf.FilterPPfProductsRlRequest;
import com.glxp.udidl.admin.service.ppf.PpfProductsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

@Service
public class PpfProductsServiceImpl implements PpfProductsService {

    @Resource
    PpfProductsDao diPcpDao;

    @Override

    public List<PPfProductsEntity> filterDiPcp(FilterPPfProductsRlRequest filterDiPcpRequest) {
        if (filterDiPcpRequest == null) {
            return Collections.emptyList();
        }
        int offset = (filterDiPcpRequest.getPage() - 1) * filterDiPcpRequest.getLimit();
        PageHelper.offsetPage(offset, filterDiPcpRequest.getLimit());
        List<PPfProductsEntity> data = diPcpDao.filterDiPcp(filterDiPcpRequest);
        return data;
    }

    @Override
    public boolean insertDiPcp(PPfProductsEntity diPcpEntity) {
        return diPcpDao.insertDiPcp(diPcpEntity);
    }

    @Override
    public boolean insertDiPcps(List<PPfProductsEntity> diPcpEntitys) {
        return diPcpDao.insertDiPcps(diPcpEntitys);
    }

    @Override
    public boolean deleteById(String id) {
        return diPcpDao.deleteById(id);
    }

    @Override
    public boolean updateDiPcp(PPfProductsEntity diPcpEntity) {
        return diPcpDao.updateDiPcp(diPcpEntity);
    }
}
