package com.glxp.udidl.admin.service.udi.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.glxp.udidl.admin.dao.udid.JobLogMapper;
import com.glxp.udidl.admin.entity.udid.JobLog;
import com.glxp.udidl.admin.req.udid.JobLogFilterRequest;
import com.glxp.udidl.admin.res.PageSimpleResponse;
import com.glxp.udidl.admin.service.udi.JobLogService;
import com.glxp.udidl.admin.util.DateUtil;
import com.glxp.udidl.common.res.BaseResponse;
import com.glxp.udidl.common.util.ResultVOUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class JobLogServiceImpl implements JobLogService {
    @Autowired
    private JobLogMapper jobLogMapper;

    public BaseResponse getList(JobLogFilterRequest param) {
        PageHelper.startPage(param.getPage(), param.getLimit());
        if (param.getEndDate() != null && !param.getEndDate().isEmpty())
            param.setEndDate(DateUtil.formatDate(DateUtil.addDays(DateUtil.parseDate(param.getEndDate()), 1)));
        //log.info(JSON.toJSONString(param));
        List<JobLog> list = jobLogMapper.list(param);
        PageInfo<JobLog> pageInfo = new PageInfo<>(list);
        PageSimpleResponse<JobLog> pageSimpleResponse = new PageSimpleResponse<>();
        pageSimpleResponse.setTotal(pageInfo.getTotal());
        pageSimpleResponse.setList(list);
        return ResultVOUtils.success(pageSimpleResponse);
    }

    public int insert(JobLog jobLog) {
        return jobLogMapper.insert(jobLog);
    }
}
