package com.glxp.udidl.admin.thread;

import com.glxp.udidl.admin.controller.device.DownloadDeviceHelper;
import com.glxp.udidl.admin.dao.info.ScheduledDao;
import com.glxp.udidl.admin.entity.info.ScheduledEntity;
import com.glxp.udidl.admin.entity.udid.TokenEntity;
import com.glxp.udidl.admin.req.info.ScheduledRequest;
import com.glxp.udidl.admin.req.udid.DeviceRequest;
import com.glxp.udidl.admin.service.DataSync.DeviceDownloadService;
import com.glxp.udidl.admin.service.DataSync.DeviceSaveService;
import com.glxp.udidl.admin.service.DataSync.DeviceSyncService;
import com.glxp.udidl.admin.service.info.CompanyService;
import com.glxp.udidl.admin.service.inout.DeviceService;
import com.glxp.udidl.admin.service.inout.ProductInfoService;
import com.glxp.udidl.admin.service.udi.JobLogService;
import com.glxp.udidl.admin.service.udi.UdiCompanyService;
import com.glxp.udidl.admin.util.DateUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.SchedulingConfigurer;
import org.springframework.scheduling.config.ScheduledTaskRegistrar;
import org.springframework.scheduling.support.CronTrigger;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@EnableScheduling
public class DownloadTask2 implements SchedulingConfigurer {

    final Logger logger = LoggerFactory.getLogger(DownloadTask.class);

    @Resource
    private ScheduledDao scheduledDao;
    @Resource
    DeviceService deviceService;
    @Resource
    CompanyService companyService;
    @Resource
    ProductInfoService productInfoService;
    @Resource
    UdiCompanyService udiCompanyService;
    @Autowired
    DeviceDownloadService deviceDownloadService; // 下载数据服务
    @Autowired
    DeviceSaveService deviceSaveService;        //存储数据服务
    @Autowired
    JobLogService jobLogService;                //日志
    @Autowired
    DeviceSyncService deviceSyncService;
    @Override
    public void configureTasks(ScheduledTaskRegistrar scheduledTaskRegistrar) {
        scheduledTaskRegistrar.addTriggerTask(() -> process2(),
                triggerContext -> {
                    ScheduledRequest scheduledRequest = new ScheduledRequest();
                    scheduledRequest.setCronName("downloadUdi2");
                    ScheduledEntity scheduledEntity = scheduledDao.findScheduled(scheduledRequest);
                    String cron = scheduledEntity.getCron();//"0 55 5 * * ?";
                    if (cron.isEmpty()) {
                        logger.error("cron is null");
                    }
                    return new CronTrigger(cron).nextExecutionTime(triggerContext);
                });
    }

    private void process() {

        String day = DateUtil.getYesterday();
        downloadUdi(day);
//        String day2 = DateUtil.getLastDay(-2);
//        downloadUdi(day2);
//        String day3 = DateUtil.getLastDay(-3);
//        downloadUdi(day3);
//        String day4 = DateUtil.getLastDay(-4);
//        downloadUdi(day4);
//        downloadTask.downloadByDay();
    }
    private void process2() {
        deviceSyncService.downloadUdi(1);
        /*try
        {
            downloadUdi(7);
        }catch (Exception e){
            e.printStackTrace();
            JobLog jobLog = new JobLog();
            jobLog.setType("error");
            jobLog.setMsg(e.getMessage());
            jobLog.setContent(JSON.toJSONString(e.getStackTrace()));
            jobLog.setCreateTime(new Date());
            jobLogService.insert(jobLog);
        }*/
    }
    /*private void downloadUdi(int days) {
        DataSetTotalResult result = deviceDownloadService.getDataAll(days);//下载数据
        if (result.getCode() != 1) {
            JobLog jobLog = new JobLog();
            jobLog.setType("error");
            jobLog.setMsg(result.getMsg());
            jobLog.setCreateTime(new Date());
            jobLogService.insert(jobLog);
            return;
        } else {
            //存储数据
            deviceSaveService.DeviceSave(result.getData());
            Map<String, Object> content = new HashMap<>();
            JobLog jobLog = new JobLog();
            if (result.realRecordCount() != result.getTotalRecordCount()) {
                jobLog.setType("warning");
                jobLog.setMsg("接口总行数和实际行数不一致");
                content.put("totalRecordCount", result.getTotalRecordCount());
                content.put("realRecordCount", result.realRecordCount());
                jobLog.setContent(JSON.toJSONString(content));
                jobLog.setCreateTime(new Date());
            } else {
                jobLog.setType("info");
                jobLog.setMsg("执行成功！");
                jobLog.setCreateTime(new Date());
            }
            jobLogService.insert(jobLog);
        }
    }*/
    private void downloadUdi(String day) {
        int curpage = 1;
        DownloadDeviceHelper downloadDeviceHelper = new DownloadDeviceHelper(companyService, udiCompanyService);
        TokenEntity token = downloadDeviceHelper.getToken();
        while (true) {
            DeviceRequest deviceRequest = new DeviceRequest();
            deviceRequest.setAccessToken(token.getAccessToken());
            deviceRequest.setRequestType("1");
            deviceRequest.setRangeValue(day);
            deviceRequest.setCurrentPageNumber(curpage + "");
            int result = downloadDeviceHelper.downloadDevices(productInfoService, deviceService, deviceRequest);
            if (result == -1) {
                return;// ResultVOUtils.error(505, "下载出错");
            }
            curpage++;
        }
    }


}
