package com.glxp.udidl.admin.util;

import com.glxp.udidl.BaseApiAdminApplicationTest;
import com.glxp.udidl.admin.service.inout.DeviceService;
import com.glxp.udidl.admin.service.inout.ProductInfoService;
import com.glxp.udidl.admin.service.udi.UdiCompanyService;
import com.glxp.udidl.admin.thread.UdiTransferUtils;
import io.jsonwebtoken.Claims;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.annotation.Resource;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import static org.junit.Assert.assertNotNull;

public class JwtUtilsTest extends BaseApiAdminApplicationTest {
    @Resource
    private DeviceService deviceService;
    @Resource
    private ProductInfoService productInfoService;
    private static final Logger logger = LoggerFactory.getLogger(JwtUtilsTest.class);
    @Resource
    private UdiCompanyService udiCompanyService;

    @Test
    public void createToken() {
        Map<String, Object> claims = new HashMap<>();
        claims.put("admin_id", 12222222);
        String token = JwtUtils.createToken(claims, 86400L);
        System.out.println(token);
        System.out.println(token.length());
        assertNotNull(token);
    }

    @Test
    public void createToken1() {
        Map<String, Object> claims = new HashMap<>();
        String token = JwtUtils.createToken(claims);
        System.out.println(token);
        assertNotNull(token);
    }

    @Test
    public void parse() {
        Map<String, Object> claims = new HashMap<>();
        claims.put("admin_id", 1);
        String token = JwtUtils.createToken(claims, 1000L);
        System.out.println(token);
        System.out.println(token.length());
        Claims claim = JwtUtils.parse(token);
        System.out.println(claim);
        assertNotNull(claim);
        System.out.println(claim.get("admin_id"));
    }

    @Test
    public void transUdi() {
//        List<String> keys = deviceService.findAllByZxxscpbs();
//        for (String key : keys) {
//            new UdiTransferUtils().transUdi(deviceService, productInfoService, key);
//        }

        new UdiTransferUtils().transUdi(deviceService, productInfoService, "584f7011843a489296a153b560fb3578", udiCompanyService);
    }

    @Test
    public void testHistoryKey() {
//        DeviceEntity deviceEntity = deviceService.searchById("bad7a1f2f87c4c6291795d6c05c38e84");
        System.out.println(DateUtil.formatDate(new Date(), "yyyy-MM-dd"));
        String day = DateUtil.getYesterday();
        logger.info(day);
    }

}
